@echo off
rem -------------------------------------------------------------------------
rem Job Executor run script
rem -------------------------------------------------------------------------
@if not "%ECHO%" == ""  echo %ECHO%

set TITLE=Group 1 Job Executor


if not "%JAVA_HOME%" == "" goto ADD_TOOLS

set JAVA=java

echo JAVA_HOME is not set.  Unexpected results may occur.
echo Set JAVA_HOME to the directory of your local JDK to avoid this message.
goto SKIP_TOOLS

:ADD_TOOLS

set JAVA=%JAVA_HOME%\bin

if exist "%JAVA_HOME%\lib\tools.jar" goto SKIP_TOOLS
echo Could not locate %JAVA_HOME%\lib\tools.jar. Unexpected results may occur.
echo Make sure that JAVA_HOME points to a JDK and not a JRE.

:SKIP_TOOLS

set JAVA_OPTS=
set JAVA_OPTS=%JAVA_OPTS% -Xms128m -Xmx512m

echo ===============================================================================
echo .
echo   JAVA: %JAVA%
echo .
echo   JAVA_OPTS: %JAVA_OPTS%
echo .
echo ===============================================================================

CALL %JAVA%/java %JAVA_OPTS% -jar jobexecutor.jar %*

:END
